#ifndef hpp_manipulation_idl____path__planners_hpp__
#define hpp_manipulation_idl____path__planners_hpp__

//
// Implemention of IDL interfaces in file /local/robotpkg/var/tmp/robotpkg/path/py-hpp-manipulation-corba/work/hpp-manipulation-corba-4.10.1/idl/hpp/manipulation_idl/_path_planners.idl
//

#include <hpp/manipulation_idl/_path_planners-idl.hh>
#include "hpp/corbaserver/servant-base.hh"

#include <hpp/manipulation/path-planner/end-effector-trajectory.hh>
#include <hpp/core_idl/paths.hh>
#include <hpp/core_idl/path_planners.hh>





//
// Class implementing IDL interface hpp::manipulation_idl::pathPlanner_idl::IkSolverInitialization
//
namespace hpp {

namespace manipulation_impl {

namespace pathPlanner_impl {
template <typename _Base, typename _Storage>
class IkSolverInitializationServant: public hpp::corbaServer::ServantBase<hpp::manipulation::pathPlanner::IkSolverInitialization, _Storage>, public virtual _Base
{
public:
  typedef hpp::manipulation::pathPlanner::IkSolverInitialization HppBase;

  SERVANT_BASE_TYPEDEFS(hpp::manipulation_idl::pathPlanner_idl::IkSolverInitialization, HppBase);

public:
  // standard constructor
  IkSolverInitializationServant(::hpp::corbaServer::Server* server, const _Storage& s);
  virtual ~IkSolverInitializationServant();

  // methods corresponding to defined IDL attributes and operations
  
};

typedef IkSolverInitializationServant<POA_hpp::manipulation_idl::pathPlanner_idl::IkSolverInitialization,boost::weak_ptr<hpp::manipulation::pathPlanner::IkSolverInitialization> > IkSolverInitialization;
} // namespace pathPlanner_impl

} // namespace manipulation_impl

} // namespace hpp

//
// Class implementing IDL interface hpp::manipulation_idl::pathPlanner_idl::EndEffectorTrajectory
//
namespace hpp {

namespace manipulation_impl {

namespace pathPlanner_impl {
template <typename _Base, typename _Storage>
class EndEffectorTrajectoryServant: public hpp::core_impl::PathPlannerServant<_Base, _Storage>, public virtual _Base
{
public:
  typedef typename hpp::core_impl::PathPlannerServant<_Base, _Storage>::HppBase HppBase;

  SERVANT_BASE_TYPEDEFS(hpp::manipulation_idl::pathPlanner_idl::EndEffectorTrajectory, HppBase);

public:
  // standard constructor
  EndEffectorTrajectoryServant(::hpp::corbaServer::Server* server, const _Storage& s);
  virtual ~EndEffectorTrajectoryServant();

  // methods corresponding to defined IDL attributes and operations
  
  ::CORBA::Long getNRandomConfig ();


  void setNRandomConfig (::CORBA::Long n);


  ::CORBA::Long getNDiscreteSteps ();


  void setNDiscreteSteps (::CORBA::Long n);


  ::CORBA::Boolean getCheckFeasibilityOnly ();


  void setCheckFeasibilityOnly (::CORBA::Boolean n);


  void setIkSolverInitialization (hpp::manipulation_idl::pathPlanner_idl::IkSolverInitialization_ptr solver);


};

typedef EndEffectorTrajectoryServant<POA_hpp::manipulation_idl::pathPlanner_idl::EndEffectorTrajectory,boost::weak_ptr<hpp::manipulation::pathPlanner::EndEffectorTrajectory> > EndEffectorTrajectory;
} // namespace pathPlanner_impl

} // namespace manipulation_impl

} // namespace hpp





#endif // hpp_manipulation_idl____path__planners_hpp__

